Upgrading ArcGIS Python

    Table of contents
    You are currently comparing two old versions - only when you are comparing against the latest version can you revert. Return to version archive.

    Combined revision comparison

    Comparing version 12:35, 5 Aug 2010 by matt with version 13:10, 5 Aug 2010 by matt.

    ...

     Python 2.6 and ArcGIS 9.32.5 and ArcGIS 9.2

    • Install python 2.6,2.5, and the latest corresponding pywin32.
    • Grab the arcgisscripting.py script written by Philippe Le Grand (taken from this thread in the ESRI scripting forum) and plop it into
      C:\Python2.6Python2.5\Lib\site-packages
    • Make sure PYTHONPATH environment variable points to C:\path\to\ArcGIS\bin
    • Note: this is an unsupported configuration, see ESRI:31912

    The same recipe works for python 2.5 and arcgis 9.2, just change the numbers accordingly.

    ...

    Version from 12:35, 5 Aug 2010

    This revision modified by matt (Ban)

    ...

     Python 2.5 and ArcGIS 9.2

    • Install python 2.5, and the latest corresponding pywin32.
    • Grab the arcgisscripting.py script written by Philippe Le Grand (taken from this thread in the ESRI scripting forum) and plop it into
      C:\Python2.5\Lib\site-packages
    • Make sure PYTHONPATH environment variable points to C:\path\to\ArcGIS\bin
    • Note: this is an unsupported configuration, see ESRI:31912

    ...

    Version as of 13:10, 5 Aug 2010

    This revision modified by matt (Ban)

    ...

     Python 2.6 and ArcGIS 9.3

    • Install python 2.6, and the latest corresponding pywin32.
    • Grab the arcgisscripting.py script written by Philippe Le Grand (taken from this thread in the ESRI scripting forum) and plop it into
      C:\Python2.6\Lib\site-packages
    • Make sure PYTHONPATH environment variable points to C:\path\to\ArcGIS\bin
    • Note: this is an unsupported configuration, see ESRI:31912

    The same recipe works for python 2.5 and arcgis 9.2, just change the numbers accordingly.

    ...

        Send feedback